
/*
 *  GPL.java
 *  Created on May 09, 2002, 1:31 PM
 *  @version 1beta0
 *  @author  Marco Parvis
 */

/*    
    Questo e' GPL una parte di Instrument Training Project ITP
    Copyright (C) <Politecnico di Torino 2002> <Marco Parvis>
    
    This is GPL part of the Instrument Training Project ITP
    Copyright (C) <Politecnico di Torino 2002> <Marco Parvis>

*/

/*
    Questo  programma e'  software  libero; e'  lecito redistribuirlo  o
    modificarlo secondo i termini  della Licenza Pubblica Generica GNU
    come e' pubblicata dalla Free  Software Foundation; o la versione 2
    della licenza o (a propria scelta) una versione successiva.

    Questo programma  e' distribuito nella  speranza che sia  utile, ma
    SENZA  ALCUNA GARANZIA;  senza  neppure la  garanzia implicita  di
    NEGOZIABILITA'  o di  APPLICABILITA' PER  UN PARTICOLARE  SCOPO.  Si
    veda la Licenza Pubblica Generica GNU per avere maggiori dettagli.

    Questo  programma deve  essere  distribuito assieme  ad una  copia
    della Licenza Pubblica Generica GNU;  in caso contrario, se ne puo'
    ottenere  una scrivendo  alla Free  Software Foundation,  Inc., 59
    Temple Place, Suite 330, Boston, MA 02111-1307 USA

    L'autore puo' essere contattato a parvis@polito.it 
    Dipartimento di Elettronica Politecnico di Torino
    Corso Duca degli Abruzzi, 24, 10129 Torino Italy
*/

/*
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
    General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
    02111-1307 USA

    The author can be contacted at parvis@polito.it 
    Dipartimento di Elettronica Politecnico di Torino
    Corso Duca degli Abruzzi, 24, 10129 Torino Italy

*/




package JavaScope;
import java.io.*;
import java.util.*;
public class GPL extends javax.swing.JFrame {
    
    /** Creates new form GPL */
    private boolean isIt=true;
    
    private Vector gplIt=new Vector();
    private Vector gplEn= new Vector();
    public GPL() {

        initComponents();
        this.setSize(400,400);
        this.jButtonLanguage.setText("Show in English");
        readENLicence();
        readITLicence();
        this.dumpITLicence();
        this.show();
        this.repaint();
    }
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    private void initComponents() {//GEN-BEGIN:initComponents
        jScrollPaneGPL = new javax.swing.JScrollPane();
        jTextAreaGPL = new javax.swing.JTextArea();
        jButtonLanguage = new javax.swing.JButton();
        jButtonClose = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        addWindowListener(new java.awt.event.WindowAdapter() {
            public void windowClosing(java.awt.event.WindowEvent evt) {
                exitForm(evt);
            }
        });

        jScrollPaneGPL.setViewportView(jTextAreaGPL);

        getContentPane().add(jScrollPaneGPL, java.awt.BorderLayout.CENTER);

        jButtonLanguage.setText("Italian");
        jButtonLanguage.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonLanguageActionPerformed(evt);
            }
        });

        getContentPane().add(jButtonLanguage, java.awt.BorderLayout.NORTH);

        jButtonClose.setText("Close");
        jButtonClose.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonCloseActionPerformed(evt);
            }
        });

        getContentPane().add(jButtonClose, java.awt.BorderLayout.SOUTH);

        pack();
    }//GEN-END:initComponents
    
    private void jButtonCloseActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonCloseActionPerformed
        // Add your handling code here:
        this.dispose();
    }//GEN-LAST:event_jButtonCloseActionPerformed
    
    private void jButtonLanguageActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonLanguageActionPerformed
        // Add your handling code here:
        if (this.isIt){
            isIt=false;
            this.jButtonLanguage.setText("Mostra in Italiano");
            dumpENLicence();
        }else{
            isIt=true;
            this.jButtonLanguage.setText("Show in English");
            dumpITLicence();
        }
    }//GEN-LAST:event_jButtonLanguageActionPerformed
    
    /** Exit the Application */
    private void exitForm(java.awt.event.WindowEvent evt) {//GEN-FIRST:event_exitForm
        this.dispose(); //System.exit(0);
    }//GEN-LAST:event_exitForm
    
    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        new GPL().show();
    }
    
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton jButtonClose;
    private javax.swing.JTextArea jTextAreaGPL;
    private javax.swing.JScrollPane jScrollPaneGPL;
    private javax.swing.JButton jButtonLanguage;
    // End of variables declaration//GEN-END:variables
    
    
    
    
    private void readITLicence(){
        String tmpStr;
        BufferedReader in;
        Class	classObj = this.getClass();
        
        try {
            InputStream         is = classObj.getResourceAsStream("/JavaScope/resources/gplIt.txt");
            BufferedReader	br = new BufferedReader(new InputStreamReader(is));
            LineNumberReader	reader = new LineNumberReader(br);
            String		line;
            
            while ((line = reader.readLine()) != null) {
                    gplIt.add(line);
            }
        }
        catch (Exception e) {
            e.printStackTrace();
            System.out.println(e);
            System.out.println("Could not find the italian licence");
            gplIt.add("Licenza italiana mancante");
            
        }
        
        return ;
    }
    private void readENLicence(){
        String tmpStr;
        BufferedReader in;
        Class	classObj = this.getClass();
        
        try {
            InputStream         is = classObj.getResourceAsStream("/JavaScope/resources/gplEng.txt");
            BufferedReader	br = new BufferedReader(new InputStreamReader(is));
            LineNumberReader	reader = new LineNumberReader(br);
            String		line;
            
            while ((line = reader.readLine()) != null) {
                    gplEn.add(line);
            }
        }
        catch (Exception e) {
            e.printStackTrace();
            System.out.println(e);
            System.out.println("Could not find the english licence");
            gplEn.add("Missing licence file");
            
        }
        
        return ;
    }
    private void dumpITLicence(){
        this.jTextAreaGPL.setText("");
        for (int i=0;i<gplIt.size();i++){
            this.jTextAreaGPL.append((String)gplIt.get(i)+"\n");
        }
        this.jTextAreaGPL.setCaretPosition(1);
        this.jTextAreaGPL.setEditable(false);
    }
    private void dumpENLicence(){
        this.jTextAreaGPL.setText("");
        for (int i=0;i<gplEn.size();i++){
            this.jTextAreaGPL.append((String)gplEn.get(i)+"\n");
        }
        this.jTextAreaGPL.setCaretPosition(1);
        this.jTextAreaGPL.setEditable(false);
        
        
    }
    
    
}